curl --request GET \
--url https://api.jtl-cloud.com/erp/suppliers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/suppliers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Name": "Global Transport",
"Type": "Default",
"SupplierNo": "SP12345",
"InternalCustomerId": "12",
"LanguageISO": "DE",
"FormOfAddress": "Muster Str. 15",
"FirstName": "John",
"LastName": "Smith",
"Company": "Tradewell Company",
"Company2": "Office Department",
"Contact": "John Smith",
"Street": "Example St. 15",
"Address2": "Apartment 201",
"PostalCode": "10115",
"City": "Berlin",
"State": "Berlin",
"CountryIso": "DE",
"Phone": "040 / 12345",
"PhoneExtension": "10",
"Fax": "040 / 12345-19",
"Email": "info@a-company-domain.com",
"Website": "https://a-company-domain.com",
"Comment": "Comment about the supplier",
"VatID": "DE123456789",
"Status": "aktiv"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Suppliers
Query all suppliers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all suppliers.
Supplier name.
"Global Transport"
"Default"
Supplier ID number.
"SP12345"
Internal customer ID of the supplier.
"12"
The language ISO of a supplier.
"DE"
The form of address of the supplier.
"Muster Str. 15"
Supplier first name.
"John"
Supplier last name.
"Smith"
Name of the supplier's company.
"Tradewell Company"
The additional address infomation about the company.
"Office Department"
Supplier's contact person.
"John Smith"
Supplier's street and house number.
"Example St. 15"
Additional address information.
"Apartment 201"
Supplier's postal code.
"10115"
Supplier's city.
"Berlin"
Supplier's state.
"Berlin"
Country ISO code of the address.
"DE"
Supplier's main telephone number.
"040 / 12345"
Supplier's telephone number extension.
"10"
Supplier's fax number.
"040 / 12345-19"
Supplier's email address.
"info@a-company-domain.com"
Supplier's website.
"https://a-company-domain.com"
Additional information about the supplier.
"Comment about the supplier"
Supplier's VAT ID number.
"DE123456789"
Supplier's status.
"aktiv"
Was this page helpful?